﻿using Experior.Core.Resources;
using System.Windows.Media;

namespace $safeprojectname$
{
    public class MyPlugin : Experior.Core.Plugin
    {
        public MyPlugin()
            : base("MyPlugin")
        {
        }

        public override ImageSource Logo { get; } = EmbeddedResource.GetImage("Experior.png");
    }

    internal static class EmbeddedResource
    {
        private static EmbeddedImageLoader Images { get; } = new Experior.Core.Resources.EmbeddedImageLoader();
        private static EmbeddedResourceLoader Resource { get; } = new Experior.Core.Resources.EmbeddedResourceLoader();

        public static ImageSource GetImage(string resourceFileName) => Images.Get(resourceFileName);
        public static Experior.Core.Resources.EmbeddedResource GetResource(string resourceFileName) => Resource.Get(resourceFileName);
    }
}
